Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessMemberResultCallback_0_1< del, void, T, A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessMemberResultCallback_0_1< del, void, T, A1 >:

List of all members.

## Public Types

typedef TessCallback1< A1 > | base
typedef void(T::* | MemberSignature )(A1)

## Public Member Functions

| _TessMemberResultCallback_0_1 (T *object, MemberSignature member)
virtual void | Run (A1 a1)
Public Member Functions inherited from TessCallback1< A1 >
virtual | ~TessCallback1 ()

## Detailed Description

### template<bool del, class T, class A1>
class _TessMemberResultCallback_0_1< del, void, T, A1 >

Definition at line 400 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class T , class A1 >

typedef TessCallback1<A1> _TessMemberResultCallback_0_1< del, void, T, A1 >::base

Definition at line 403 of file tesscallback.h.

template<bool del, class T , class A1 >

typedef void(T::* _TessMemberResultCallback_0_1< del, void, T, A1 >::MemberSignature)(A1)

Definition at line 404 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class T , class A1 >

_TessMemberResultCallback_0_1< del, void, T, A1 >::_TessMemberResultCallback_0_1 | ( | T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 411 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class T , class A1 >

virtual void _TessMemberResultCallback_0_1< del, void, T, A1 >::Run | ( | A1 | a1 | ) |

inline virtual

Implements TessCallback1< A1 >.

Definition at line 417 of file tesscallback.h.

{
if (!del) {
(object_->*member_)(a1);
} else {
(object_->*member_)(a1);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h